Skip to main content
GET
Get Business Registrations

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the business to retrieve registrations for.

Examples:

"412a49b5-7466-426b-bf1e-081b00b54576"

"9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5"

Response

Response

id
string<uuid>
required

The unique identifier of the corporate registration.

name
string
required

The name on the registration.

Example:

"Garcia, Hernandez and Woods"

file_number
string
required

The file number of the registration.

Example:

"867124"

state
enum<string>
required

The state in which the registration was filed.

Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY,
PR,
VI,
AE,
AA,
AP,
GU,
AS
Example:

"AZ"

status
enum<string>
required

Status field indicating whether the corporate registration filing is active or inactive.

Available options:
active,
inactive,
unknown
Examples:

"active"

"inactive"

"unknown"

issue_date
string<date> | null

The date the registration was issued.

Example:

"2024-01-01"

inactive_date
string<date> | null

The date the registration became inactive.

Example:

"2024-06-01"

dissolution_date
string<date> | null

The date the registration was dissolved in the given state.

Example:

"2024-06-01"

address
AddressSummaryResponse (v1) · object | null

The address associated with the registration.

registration_type
enum<string> | null

Whether the registration is domestic or foreign.

Available options:
foreign,
domestic,
unknown
Example:

"domestic"

standing
string | null

The standing of the registration.

Example:

"In Good Standing"

registered_agent
CorporateRegistrationAgentResponse (v1) · object | null

The Registered Agent listed on the Registration.

officers
RegistrationOfficerResponse (v1) · object[]

The officers listed on the registration.